|
||||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | |||||||||
| SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD | |||||||||
java.lang.Objectorg.opencms.workplace.CmsWorkplace
org.opencms.workplace.tools.CmsToolDialog
org.opencms.workplace.CmsDialog
org.opencms.workplace.commons.CmsChaccBrowser
public class CmsChaccBrowser
Provides methods for building the groups and users popup window.
The following files use this class:
| Field Summary | |
|---|---|
static String |
DIALOG_FRAME_GROUPS
Constant for the frame name which is displayed: groups frame. |
static String |
DIALOG_FRAME_USERS
Constant for the frame name which is displayed: users frame. |
static String |
DIALOG_TYPE
The dialog type. |
static int |
FRAME_DEFAULT
Constant for the frame type which is displayed: default frame. |
static int |
FRAME_GROUPS
Constant for the frame type which is displayed: groups frame. |
static int |
FRAME_USERS
Constant for the frame type which is displayed: users frame. |
static String |
PARAM_FRAME
Request parameter name for the frame parameter. |
| Fields inherited from class org.opencms.workplace.tools.CmsToolDialog |
|---|
PARAM_PATH, PARAM_ROOT, PARAM_STYLE, STYLE_NEW |
| Constructor Summary | |
|---|---|
CmsChaccBrowser(CmsJspActionElement jsp)
Public constructor. |
|
CmsChaccBrowser(PageContext context,
HttpServletRequest req,
HttpServletResponse res)
Public constructor with JSP variables. |
|
| Method Summary | |
|---|---|
String |
buildGroupList()
Builds a list of all groups and returns an html string. |
String |
buildUserList()
Builds a list of all users and returns an html string. |
int |
getFrame()
Returns the int representation of the frame parameter value. |
String |
getParamFrame()
Returns the value of the frame parameter, or null if this parameter was not provided. |
protected void |
initWorkplaceRequestValues(CmsWorkplaceSettings settings,
HttpServletRequest request)
Analyzes the request for workplace parameters and adjusts the workplace settings accordingly. |
void |
setFrame(int value)
Sets the int representation of the frame parameter value. |
void |
setParamFrame(String value)
Sets the value of the frame parameter. |
| Methods inherited from class org.opencms.workplace.tools.CmsToolDialog |
|---|
dialogTitle, getAdminTool, getCurrentToolPath, getParamPath, getParamRoot, getParamStyle, getParentPath, getToolManager, iconsBlockArea, iconsBlockAreaEnd, iconsBlockAreaStart, initAdminTool, pageBody, pageHtmlStyle, setParamPath, setParamRoot, setParamStyle, useNewStyle |
| Methods inherited from class java.lang.Object |
|---|
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait |
| Field Detail |
|---|
public static final String DIALOG_FRAME_GROUPS
public static final String DIALOG_FRAME_USERS
public static final String DIALOG_TYPE
public static final int FRAME_DEFAULT
public static final int FRAME_GROUPS
public static final int FRAME_USERS
public static final String PARAM_FRAME
| Constructor Detail |
|---|
public CmsChaccBrowser(CmsJspActionElement jsp)
jsp - an initialized JSP action element
public CmsChaccBrowser(PageContext context,
HttpServletRequest req,
HttpServletResponse res)
context - the JSP page contextreq - the JSP requestres - the JSP response| Method Detail |
|---|
public String buildGroupList()
throws JspException
JspException - if problems including sub-elements occur
public String buildUserList()
throws JspException
JspException - if problems including sub-elements occurpublic int getFrame()
public String getParamFrame()
The frame parameter selects the frame which should be displayed.
public void setFrame(int value)
value - the int value of the parameterpublic void setParamFrame(String value)
value - the value to set
protected void initWorkplaceRequestValues(CmsWorkplaceSettings settings,
HttpServletRequest request)
CmsWorkplace
initWorkplaceRequestValues in class CmsDialogsettings - the workplace settingsrequest - the current requestCmsWorkplace.initWorkplaceRequestValues(org.opencms.workplace.CmsWorkplaceSettings, javax.servlet.http.HttpServletRequest)
|
||||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | |||||||||
| SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD | |||||||||